package mmm.deco;


import mmm.utils.URegistration;



public class DecorativeBlocks
{

	public static final DBlockTable TABLE_OAK;
	public static final DBlockTable TABLE_BIRCH;
	public static final DBlockTable TABLE_SPRUCE;
	public static final DBlockTable TABLE_JUNGLE;
	public static final DBlockTable TABLE_DARK_OAK;
	public static final DBlockTable TABLE_ACACIA;

	public static final DBlockChair CHAIR_OAK;
	public static final DBlockChair CHAIR_BIRCH;
	public static final DBlockChair CHAIR_SPRUCE;
	public static final DBlockChair CHAIR_JUNGLE;
	public static final DBlockChair CHAIR_DARK_OAK;
	public static final DBlockChair CHAIR_ACACIA;

	static {
		URegistration.addBlock( TABLE_OAK = new DBlockTable( E_DWoodType.OAK ) );
		URegistration.addBlock( TABLE_BIRCH = new DBlockTable( E_DWoodType.BIRCH ) );
		URegistration.addBlock( TABLE_SPRUCE = new DBlockTable( E_DWoodType.SPRUCE ) );
		URegistration.addBlock( TABLE_JUNGLE = new DBlockTable( E_DWoodType.JUNGLE ) );
		URegistration.addBlock( TABLE_DARK_OAK = new DBlockTable( E_DWoodType.DARK_OAK ) );
		URegistration.addBlock( TABLE_ACACIA = new DBlockTable( E_DWoodType.ACACIA ) );

		URegistration.addBlock( CHAIR_OAK = new DBlockChair( E_DWoodType.OAK ) );
		URegistration.addBlock( CHAIR_BIRCH = new DBlockChair( E_DWoodType.BIRCH ) );
		URegistration.addBlock( CHAIR_SPRUCE = new DBlockChair( E_DWoodType.SPRUCE ) );
		URegistration.addBlock( CHAIR_JUNGLE = new DBlockChair( E_DWoodType.JUNGLE ) );
		URegistration.addBlock( CHAIR_DARK_OAK = new DBlockChair( E_DWoodType.DARK_OAK ) );
		URegistration.addBlock( CHAIR_ACACIA = new DBlockChair( E_DWoodType.ACACIA ) );
	}


	public static void preInit( )
	{
		// EMPTY
	}

}
