package mmm.deco;

import net.minecraft.block.Block;
import net.minecraft.block.BlockPlanks;
import net.minecraft.block.material.MapColor;
import net.minecraft.init.Blocks;

public enum E_DWoodType {
	OAK( "oak" , BlockPlanks.EnumType.OAK ) , //
	BIRCH( "birch" , BlockPlanks.EnumType.BIRCH ) , //
	SPRUCE( "spruce" , BlockPlanks.EnumType.SPRUCE ) , //
	JUNGLE( "jungle" , BlockPlanks.EnumType.JUNGLE ) , //
	DARK_OAK( "dark_oak" , BlockPlanks.EnumType.DARK_OAK ) , //
	ACACIA( "acacia" , BlockPlanks.EnumType.ACACIA );

	public final String suffix;
	public final MapColor mapColor;
	public final Block block;
	public final Block slab;
	public final int metaData;


	private E_DWoodType( final String suffix , final BlockPlanks.EnumType planks )
	{
		this.suffix = suffix;
		this.mapColor = planks.getMapColor( );
		this.block = Blocks.PLANKS;
		this.slab = Blocks.WOODEN_SLAB;
		this.metaData = planks.getMetadata( );
	}
}